Bug 982270 - [abrt] pyzor-0.5.0-7.fc18: client.py:72:send:gaierror: [Errno -3] Temporary failure in name resolution
[abrt] pyzor-0.5.0-7.fc18: client.py:72:send:gaierror: [Errno -3] Temporary f...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pyzor (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
abrt_hash:a64d9db2b22ca7e90f3c522b728...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 10:24 EDT by andy-thinkpad-x121e
Modified: 2014-03-10 01:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:05:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.30 KB, text/plain)
2013-07-08 10:24 EDT, andy-thinkpad-x121e
no flags Details
File: core_backtrace (685 bytes, text/plain)
2013-07-08 10:24 EDT, andy-thinkpad-x121e
no flags Details
File: environ (1.45 KB, text/plain)
2013-07-08 10:24 EDT, andy-thinkpad-x121e
no flags Details

  None (edit)
Description andy-thinkpad-x121e 2013-07-08 10:24:01 EDT
Version-Release number of selected component:
pyzor-0.5.0-7.fc18

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python -Wignore::DeprecationWarning /usr/bin/pyzor check
executable:     /usr/bin/pyzor
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
client.py:72:send:gaierror: [Errno -3] Temporary failure in name resolution

Traceback (most recent call last):
  File "/usr/bin/pyzor", line 8, in <module>
    pyzor.client.run()
  File "/usr/lib/python2.7/site-packages/pyzor/client.py", line 1022, in run
    ExecCall().run()
  File "/usr/lib/python2.7/site-packages/pyzor/client.py", line 205, in run
    if not apply(dispatch, (self, args)):
  File "/usr/lib/python2.7/site-packages/pyzor/client.py", line 285, in check
    runner.run(server, (digest, server))
  File "/usr/lib/python2.7/site-packages/pyzor/client.py", line 813, in run
    response = apply(self.routine, varargs, kwargs)
  File "/usr/lib/python2.7/site-packages/pyzor/client.py", line 58, in check
    self.send(msg, address)
  File "/usr/lib/python2.7/site-packages/pyzor/client.py", line 72, in send
    self.socket.sendto(mac_msg_str, 0, address)
gaierror: [Errno -3] Temporary failure in name resolution

Local variables in innermost frame:
mac_msg_str: 'User: anonymous\nTime: 1372276419\nSig: a4af5e183d4f8899e719c7c72a627547978f23fd\n\nOp: check\nOp-Digest: 8d04ff7c5ab9c87e9c5857ef549f9320ecc326b5\nThread: 21315\nPV: 2.0\n\n'
msg: <pyzor.CheckRequest object at 0x7f93458dedd0>
account: ('anonymous', (None, 0L))
self: <pyzor.client.Client object at 0x7f93458e8098>
address: ('public.pyzor.org', 24441)

Potential duplicate: bug 790719
Comment 1 andy-thinkpad-x121e 2013-07-08 10:24:04 EDT
Created attachment 770515 [details]
File: backtrace
Comment 2 andy-thinkpad-x121e 2013-07-08 10:24:07 EDT
Created attachment 770516 [details]
File: core_backtrace
Comment 3 andy-thinkpad-x121e 2013-07-08 10:24:09 EDT
Created attachment 770517 [details]
File: environ
Comment 4 Fedora End Of Life 2013-12-21 09:16:38 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:05:14 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Kerry 2014-03-10 01:36:31 EDT
This problem still exists in pyzor-0.5.0-9.fc20 but because the bug was closed automatically as end of life, it cannot be re-reported.

Note You need to log in before you can comment on or make changes to this bug.